Bug 881549 - [RFE] Allow admins to change account user names.
Summary: [RFE] Allow admins to change account user names.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic   
(Show other bugs)
Version: 2.0
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 2.1
Assignee: Carlos Munoz
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 04:42 UTC by Carlos Munoz
Modified: 2013-02-26 04:06 UTC (History)
1 user (show)

Fixed In Version: 2.1-SNAPSHOT (20121211-1215)
Doc Type: Enhancement
Doc Text:
Feature: Administrators can now change an account's username. Reason: In some scenarios, some users need to change their username and Zanata did not offer a way to do this. Result (if any): User names can now be changed provided they remain unique throughout the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 04:06:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2012-11-29 04:42:35 UTC
Allow administrators to change account user names.

This will be useful when testing user account creation in Kerberos authenticated systems.

Comment 2 Ding-Yi Chen 2012-12-04 04:05:49 UTC
Tested with Zanata version 2.1-SNAPSHOT (20121204-0903)

If we change the user name but not the password, the user cannot continue to use they password to sign in. Admin does need to either provide a password or send a courtesy/confirmation email to user to 

Action item:
After username is changed, zanata should send a courtesy email such as:
Subject: Zanata: Username has changed to XXXX
Hi,

Your username has been changed to XXXX. Please go to the zanata server 
<ZanataServerUrl> to reset your password.


Reassigned.

Comment 3 Carlos Munoz 2012-12-06 05:26:41 UTC
Zanata now sends an email when the username has been changed by an administrator. This only happens for instances where internal authentication is enabled. Other instances have no need to reset the user's password.

See:
https://github.com/zanata/zanata/commit/0fdc1ae289a0a6e9aa605cb28fcd045b1da21bcb

Comment 4 Ding-Yi Chen 2012-12-11 03:09:57 UTC
VERIFIED with Zanata version 2.1-SNAPSHOT (20121211-1215)


Note You need to log in before you can comment on or make changes to this bug.